Skip to main content
GET
Authorize OAuth application

Authorizations

x-auth-apikey
string
header
required

Your Rhombus API key. Must be accompanied by the x-auth-scheme header set to api-token (or partner-api-token for partner endpoints).

Headers

x-auth-scheme
enum<string>
default:api-token
required

Authentication scheme identifier. Use api-token for standard API key authentication, partner-api-token for partner API key authentication. Must be paired with the x-auth-apikey header containing your API key.

Available options:
api-token,
api,
partner-api-token,
partner-api

Query Parameters

clientId
string | null
redirectUri
string | null
responseType
string | null
state
string | null
consentGiven
boolean | null
codeChallenge
string | null
client_id
string | null
redirect_uri
string | null
response_type
string | null
consent_given
boolean | null
code_challenge
string | null
code_challenge_method
string | null
resource
string | null

Response

200 - application/json
object | null

OK

allowedMethods
(string | null)[] | null
closed
boolean | null
cookies
object | null
date
string<date-time> | null
date-time
entity
object | null
entityTag
object | null
headers
object | null
language
object | null
lastModified
string<date-time> | null
date-time
length
integer<int32> | null
int32
location
string<uri> | null
uri
mediaType
object
metadata
object | null
status
integer<int32> | null
int32
statusInfo
object | null
stringHeaders
object | null
Last modified on August 22, 2026